# coding=utf-8
from django.conf.urls import url, include

from .forms.interpose import (
    CityTagIDAutocompleteView, ItemTagIDAutocompleteView, InterposeTypeAutocompleteView,
    SortOrderAutocompleteView, ObjectIDAutocompleteView,
)


autocomplete_urls = [
    url(r'^city-tag-id/$', CityTagIDAutocompleteView.as_view(), name='city-tag-id-autocomplete'),
    url(r'^item-tag-id/$', ItemTagIDAutocompleteView.as_view(), name='item-tag-id-autocomplete'),
    url(r'^interpose-type/$', InterposeTypeAutocompleteView.as_view(), name='interpose-type-autocomplete'),
    url(r'^sort-order/$', SortOrderAutocompleteView.as_view(), name='sort-order-autocomplete'),
    url(r'^obj-id/$', ObjectIDAutocompleteView.as_view(), name='object-id-autocomplete'),
]


urlpatterns = [
    url(r'^autocomplete/', include(autocomplete_urls)),
]
